from flask import Flask
from flask import render_template, Markup

app = Flask(__name__)

@app.route('/')
def index():
    return Markup('<div>Hello %s</div>') % '<em>Flask</em>'
    #return Markup.escape('<div>Hello Flask</div>')
    #return Markup('<h1>Hello Flask</h1>').striptags()

@app.route('/hello')
@app.route('/hello/<name>')
def hello(name=None):
    return render_template('hello.html', name=name)

if __name__ == '__main__':
    app.run(host='0.0.0.0', debug=True)